%global packname  gridExtra
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.3
Release:          1%{?dist}
Summary:          Miscellaneous Functions for "Grid" Graphics

License:          GPL (>= 2)
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-gtable, R-grid, R-grDevices, R-graphics, R-utils
# Suggests:  R-ggplot2, R-egg, R-lattice, R-knitr, R-testthat
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-gtable
BuildRequires:    R-grid
BuildRequires:    R-grDevices
BuildRequires:    R-graphics
BuildRequires:    R-utils


%description
Provides a number of user-level functions to work with "grid" graphics,
notably to arrange multiple grid-based plots on a page, and draw tables.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/tests



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.3-1
- initial package for Fedora
